youtube video stops playing shortly after I open it with an error "An error occurred. Please try again later. Playback ID blablabla"

VERIFIED FIXED in Firefox 52

Status

()

Core
Audio/Video: Playback
--
major
VERIFIED FIXED
10 months ago
9 months ago

People

(Reporter: Alice0775 White, Assigned: jya)

Tracking

({regression})

53 Branch
mozilla53
Unspecified
Windows 10
regression
Points:
---

Firefox Tracking Flags

(firefox-esr45 unaffected, firefox50 unaffected, firefox51 unaffected, firefox52+ verified, firefox53+ verified)

Details

(URL)

MozReview Requests

()

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(2 attachments)

(Reporter)

Description

10 months ago
Reproducible: 100% on the certain video (I did not try with other video)

Steps To Reproduce:
1. Open https://www.youtube.com/watch?v=Q_JVEXDrJYg&t=56s
2. Change video resolution to 1080p, (Mime Type: video/webm; codecs="vp9)
3. Wait for a while (until around 1:10 in my case)
   --- observe the bug.
4. Reload the video (Press F5 or open the URL in the same tab)
5. Repeat step3,4,5 if any

Actual Results:
video stops playing shortly after I open it with an error "An error occurred. Please try again later. Playback ID blablabla"

Expected Results:
No error.

Regression window:
https://hg.mozilla.org/integration/autoland/pushloghtml?fromchange=502977d27c2806e7bcaf7703c9f6ae8686912fed&tochange=efb08fa7d183891ab0381cb84f30f2ceaf990f9d
Flags: needinfo?(kaku)
(Reporter)

Comment 1

10 months ago
[Tracking Requested - why for this release]:  youtube video does not play

Another video 
https://www.youtube.com/watch?v=M6mmv0sGYOM&list=PUxVlUVEiwY43qLhCB7kMBIw 

HTMLMediaElement debug data

https://www.youtube.com/watch?v=M6mmv0sGYOM&list=PUxVlUVEiwY43qLhCB7kMBIw
	blob:https://www.youtube.com/9bcfecbf-cbff-4d56-bf48-2e8c89c315a5
	currentTime: 2.599659 readyState: 3
	Quality: 100% (total:80 dropped:0 corrupted:0)
	Buffered ranges: [(0, 10.001)]
		SourceBuffer 0
			start=0 end=10.007165
		SourceBuffer 1
			start=0 end=10.001
	Internal Data:
	audio decoder: wmf audio decoder
	audio frames decoded: 202
	audio state: ni=0 no=0 ie=0 demuxr:0 demuxq:0 tt:-1.000000 tths:-1 in:203 out:202 qs=1 pending:0 waiting:0 wfk:0 sid:5
	video decoder: ffvpx video decoder
	hardware video decoding: disabled
	video frames decoded: 91 (skipped:0)
	video state: ni=0 no=0 ie=0 demuxr:0 demuxq:0 tt:-1.000000 tths:-1 in:93 out:91 qs=2 pending:0 waiting:0 wfk:0, sid:4
	Dumping data for demuxer d3f64d0:
		Dumping Audio Track Buffer(audio/mp4a-latm): - mLastAudioTime: 4.713356
			NumSamples:431 Size:235549 Evictable:110648 NextGetSampleIndex:203 NextInsertionIndex:431
			Buffered: ranges=[(0.000000, 10.007165)]
		Dumping Video Track Buffer(video/webm; codecs=vp9) - mLastVideoTime: 3.100000
			NumSamples:300 Size:1635486 Evictable:0 NextGetSampleIndex:93 NextInsertionIndex:300
			Buffered: ranges=[(0.000000, 10.001000)]
	

Thd @720p Video stops at around 0:27 0:40 random.

So, any youtube video seems to be affected....
Severity: normal → major
tracking-firefox53: --- → ?
(Reporter)

Comment 2

10 months ago
Created attachment 8825025 [details]
about:support
(Reporter)

Comment 3

10 months ago
video/webm; codecs="vp9" seems to be affected.
Tracking 53+ as this affects youtube videos.
tracking-firefox53: ? → +
(Reporter)

Comment 5

10 months ago
wait, the regression range in comment#0 is wrong.
No longer blocks: 1309516
Flags: needinfo?(kaku)
(Reporter)

Updated

10 months ago
Keywords: regressionwindow-wanted
(Reporter)

Comment 6

10 months ago
[Tracking Requested - why for this release]: Video stops with error (especially when reload)

Reproducible: 50/50. almost 100% when reload

Steps To Reproduce:
1. Open https://www.youtube.com/watch?v=M6mmv0sGYOM&list=PUxVlUVEiwY43qLhCB7kMBIw
2. Change resolution 720p, Make sure that mime/type should be video/webm; codecs="vp9".
3. Playback for 1-2minutes. If not reproduce then go to next step4
4. Press F5 to reload page
5. Playback for 1-2minutes. If not reproduce then repeat from step4.

Actual Results: 
 Stops with the error at around 0:26 0:41 random.


And I can reproduce the problem on Aurora52.02[1].
[1] https://hg.mozilla.org/releases/mozilla-aurora/rev/fed81ec38bdf9a6ae80bdbedf5845d0fe84c1c86
Mozilla/5.0 (Windows NT 10.0; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0 ID:20170109004008




Regression window:
https://hg.mozilla.org/integration/autoland/pushloghtml?fromchange=d51a0f8c1c7605e0df7b61fe4c31a3f5ec1fd58f&tochange=f26d5e27e1b69638bb9c0e24a1936f40ac7b40dc

Regressed by: Bug 1314533
Blocks: 1314533
status-firefox52: unaffected → affected
tracking-firefox52: --- → ?
Flags: needinfo?(jyavenard)
Keywords: regressionwindow-wanted
(Reporter)

Comment 7

10 months ago
Via local build
Last Good: 33c8e33b0bb0
First Bad: 754c160ecbed

Regressed by: 	754c160ecbed	Jean-Yves Avenard — Bug 1314533: [MSE] P3. Reject invalid MP4 boxes. r=gerald
Tracking 52+ for this regression affecting youtube.
tracking-firefox52: ? → +
(Assignee)

Updated

9 months ago
Assignee: nobody → jyavenard
Flags: needinfo?(jyavenard)
Comment hidden (mozreview-request)

Comment 10

9 months ago
mozreview-review
Comment on attachment 8826628 [details]
Bug 1329480: [MSE] Do not reject partial boxes.

https://reviewboard.mozilla.org/r/104550/#review105372

r+ as is or with suggestion:

Just a reminder of the power of <algorithm>! (Reminder to self too, I'm thinking I could use that elsewhere...)

::: dom/media/mediasource/ContainerParser.cpp:405
(Diff revision 1)
> -
> +        bool valid = false;
>          for (const auto& boxType : validBoxes) {
>            if (type == boxType) {
> -            mValid = true;
> +            valid = true;
>              break;
>            }
>          }
> -        if (!mValid) {
> +        if (!valid) {

You could replace these 8 lines with:
#include <algorithm>
if (std::find(std::begin(validBoxes), std::end(validBoxes), type) == std::end(validBoxes)) {
Attachment #8826628 - Flags: review?(gsquelart) → review+
(Assignee)

Comment 11

9 months ago
mozreview-review-reply
Comment on attachment 8826628 [details]
Bug 1329480: [MSE] Do not reject partial boxes.

https://reviewboard.mozilla.org/r/104550/#review105372

I don't follow what you mean here
(Assignee)

Comment 12

9 months ago
mozreview-review-reply
Comment on attachment 8826628 [details]
Bug 1329480: [MSE] Do not reject partial boxes.

https://reviewboard.mozilla.org/r/104550/#review105372

Oh i see. never mind
(Assignee)

Comment 13

9 months ago
mozreview-review-reply
Comment on attachment 8826628 [details]
Bug 1329480: [MSE] Do not reject partial boxes.

https://reviewboard.mozilla.org/r/104550/#review105372

> You could replace these 8 lines with:
> #include <algorithm>
> if (std::find(std::begin(validBoxes), std::end(validBoxes), type) == std::end(validBoxes)) {

I thought the use of the stl was not recommended?
There is a list of acceptable and already-used-so-we-might-as-well-make-them-acceptable libraries there, including <algorithm>:
https://dxr.mozilla.org/mozilla-central/source/config/stl-headers
Relevant blog post by Nathan:
https://blog.mozilla.org/nfroyd/2016/05/31/why-gecko-data-structures-should-be-preferred-to-std-ones/
Comment hidden (mozreview-request)

Comment 17

9 months ago
Pushed by jyavenard@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/37d35f87e0fe
[MSE] Do not reject partial boxes. r=gerald

Comment 18

9 months ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/37d35f87e0fe
Status: NEW → RESOLVED
Last Resolved: 9 months ago
status-firefox53: affected → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla53
Please request Aurora approval on this when you get a chance.
Flags: needinfo?(jyavenard)
(Assignee)

Comment 20

9 months ago
Comment on attachment 8826628 [details]
Bug 1329480: [MSE] Do not reject partial boxes.

Approval Request Comment
[Feature/Bug causing the regression]: 1314533
[User impact if declined]: YouTube decoding error.
[Is this code covered by automated tests?]: YT MSE tests
[Has the fix been verified in Nightly?]: not yet
[Needs manual test from QE? If yes, steps to reproduce]: excellent STR provided by OP
[List of other uplifts needed for the feature/fix]: none
[Is the change risky?]: no
[Why is the change risky/not risky?]: correcting brainfart.
[String changes made/needed]: none
Flags: needinfo?(jyavenard)
Attachment #8826628 - Flags: approval-mozilla-aurora?
Comment on attachment 8826628 [details]
Bug 1329480: [MSE] Do not reject partial boxes.

fix video playing issue affecting youtube, aurora52+
Attachment #8826628 - Flags: approval-mozilla-aurora? → approval-mozilla-aurora+
Setting qe-verify+, STR in comment 0.
Flags: qe-verify+

Comment 23

9 months ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-aurora/rev/a53dde9442c8
status-firefox52: affected → fixed
(Assignee)

Updated

9 months ago
Duplicate of this bug: 1329407
I intermittently reproduced the issue using the url from comment 6 on Nightly 53.0a1 2017-01-08 under Win 10 64-bit.

On Firefox 52 beta 3 (codecs=vp9) and latest Aurora 53.0a2 2017-02-06 (here the codecs value is avc1.4d401f) the issue no longer occurs.
Status: RESOLVED → VERIFIED
status-firefox52: fixed → verified
status-firefox53: fixed → verified
Flags: qe-verify+
You need to log in before you can comment on or make changes to this bug.